curl --request GET \
--url https://api.pulsy.app/v1/external/bridges \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pulsy.app/v1/external/bridges"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pulsy.app/v1/external/bridges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"earliestSwapTimestamp": "2023-11-07T05:31:56Z",
"latestSwapTimestamp": "2023-11-07T05:31:56Z",
"allTimeSwapsCount": 123,
"supportedChains": [
"<string>"
],
"url": "<string>",
"icon": "<string>",
"key": "<string>",
"name": "<string>",
"allTimeSwapsVolume": 123,
"status": "Operational",
"delisted": true
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {},
"errorCode": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errorCode": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"traceId": "<string>"
}Get Supported Bridges
Returns all bridges whose on-chain contracts XFlow tracks across supported chains, sorted by volume.
Authorizations
Basic auth required for external APIs. Example: "Authorization: Basic {base64EncodedPasswordString}"
Query Parameters
Flag indicates whether to include delisted bridges.
Response
OK
Timestamp of the earliest swap tracked for the bridge.
Timestamp of the latest swap tracked for the bridge.
Total number of swaps tracked for the bridge.
Chains whose bridge contracts are tracked by XFlow.
Official website or documentation URL of the bridge.
Bridge icon URL.
Unique bridge key.
Human-readable bridge name.
All-time swap volume tracked for the bridge (in USD).
Current bridge status in XFlow.
Operational Transfers were captured from this bridge in the last 24 hours;
Warning No transfers were captured from this bridge in the last 24 hours;
Malfunction No transfers were captured from this bridge in the last 7 days.
Operational, Warning, Malfunction Whether the bridge has been delisted from active maintenance due to inactivity. Historical data is retained.